<%@ page contentType="text/html; charset=GBK" %>
<%@ page import = "zr.zrpower.entity.sys.SessionUser" %>
<%@ page import = "zr.zrpower.common.util.SysPreperty" %>

<%@ page import = "zr.zrpower.ejb.sys.UIService"%>
<%@ page import = "zr.zrpower.flowengine.service.FlowControl" %>
<%
SessionUser user = (SessionUser)session.getAttribute("userinfo");
UIService userUI =new UIService();

String strID = request.getParameter("id");
if (strID==null){strID="";}
String strNAME = request.getParameter("name");
if (strNAME==null){strNAME="";}

%>
<HTML>
<HEAD>
<TITLE><%=SysPreperty.getProperty().SystemName%><%=SysPreperty.getProperty().Versoin%></TITLE>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link REL="stylesheet" type="text/css" href="../../zrsysmanage/css/<%=user.getUserCSS()%>">
</HEAD>

<script type="text/javascript">
     function setvalue(id,name){
        var cid="<%=strID%>";
        var cname="<%=strNAME%>";

        if (cname=="zrengine_tscl")
        {

             var s = window.opener.document.getElementById(cid);
             var ops = s.options;
             for(var i=0;i<ops.length; i++){
                 var tempValue = ops[i].value;
                 if(tempValue == id)//这里是你要选的值
                 {
                   ops[i].selected = true;
                   break;
                 }
             }



        }else
        {
           <%if("html5.css".equals(user.getUserCSS())){%>
           parent.$('#<%=strID%>').val(id);
	       parent.$('#<%=strNAME%>').val(name);

	       //当表单含有"."时候用下面的
	       <%if(strID.indexOf(".")>-1){%>
	          parent.document.all("<%=strID%>").value=id;
	       <%}if(strNAME.indexOf(".")>-1){%>
	          parent.document.all("<%=strNAME%>").value=name;
	       <%}%>
	       parent.layer.closeAll();

           <%}else{%>
           //window.opener.document.getElementById(cid).value = id;
           //window.opener.document.getElementById(cname).value = name;
           window.returnValue = id+"/"+name;
           <%}%>
        }
        window.close();
     }
</script>


<BODY class="BodyMain">
    <%=userUI.ShowHeadHtml("单位或部门选择",user.getUserImage())%>
    <%=userUI.ShowBodyStartHtml()%>
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" >
    <tr>
      <td><iframe id="UnitManage" name="UnitManage" src="UnitManage.jsp" width="100%" height="100%" marginwidth="0" marginheight="0" frameborder="0"></iframe></td>
    </tr>
  </table>
<%=userUI.ShowFootHtml()%>
</body>
</html>
<%
//清空相关对象
user = null;
userUI = null;
%>
